/*------------------------------------------------------
-----------Imports-----------
------------------------------------------------------*/

@use "sass:math";
@import "fonts";
@import "swiper/swiper";
@import "swiper/swiper-bundle";

/*------------------------------------------------------
-----------Variables-----------
------------------------------------------------------*/

$maxWidth: 1440;
$maxWidthContainer: 1224;

/*------------------------------------------------------
-----------Mixins-----------
------------------------------------------------------*/

@mixin adaptiveValue($property, $startValue, $minValue, $type: 1, $unit: rem) {
	$addValue: $startValue - $minValue;

	@if $unit=='%' {
		$startValue: #{$startValue + '%'};
		$minValue: #{$minValue + '%'};
	}


	@if $unit==em {
		$startValue: em($startValue);
		$minValue: em($minValue);
	}

	@if $unit==rem {
		$startValue: rem($startValue);
		$minValue: rem($minValue);
	}

	@if $type ==1 {
		#{$property}: $startValue;

		@media (max-width: #{$maxWidthContainer + px}) {
			#{$property}: calc(#{$minValue} + #{$addValue} * ((100vw - 320px) / #{$maxWidthContainer - 320}));
		}
	}

	@else if $type ==2 {
		#{$property}: $startValue;

		@media (max-width: #{$maxWidthContainer + px}) {
			#{$property}: calc(#{$minValue} + #{$addValue} * ((100vw - 320px) / #{$maxWidth - 320}));
		}
	}

	@else {
		#{$property}: calc(#{$minValue} + #{$addValue} * ((100vw - 320px) / #{$maxWidth - 320}));
	}
}

/*------------------------------------------------------
-----------Functions-----------
------------------------------------------------------*/

@function prc($pxOne, $pxTwo) {
	$result: math.div($pxOne, $pxTwo) * 100%;
	@return $result;
}

@function rem($px, $fontSize: false) {
	@if $fontSize {
		$result: math.div($px, $fontSize)+rem;
		@return $result;
	}

	@else {
		$result: math.div($px, 16)+rem;
		@return $result;
	}
}

@function em($px, $fontSize: false) {
	@if $fontSize {
		$result: math.div($px, $fontSize)+em;
		@return $result;
	}

	@else {
		$result: math.div($px, 16)+em;
		@return $result;
	}
}

/*------------------------------------------------------
-----------Reset properties-----------
------------------------------------------------------*/

*,
*::after,
*::before {
	padding: 0;
	margin: 0;
	border: 0;
	box-sizing: border-box;
}

a {
	text-decoration: none !important;
}

ul,
ol,
li {
	list-style: none;
}

img {
	vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-size: inherit;
	font-weight: inherit;
}

html,
body {
	line-height: 1;
	font-weight: 500;
	font-family: Poppins;
	color: #fff;
	background-color: #1E252B;
}

/*------------------------------------------------------
-----------Special Classes-----------
------------------------------------------------------*/

.wrapper {
	min-height: 100%;
	// overflow: hidden;
	position: relative;
}

._container {
	max-width: #{$maxWidthContainer + px};
	margin: 0 auto;
	padding: 0 rem(15);
	box-sizing: content-box;
}

.button--theme--orange {
	background: #FF6E30;
	border-radius: 8px;
	font-weight: 600;
	color: #FDF5FF;
	cursor: pointer;
	padding: 0 5px;
	line-height: 24px;
	color: #FDF5FF;
	transition: all 0.5s ease;

	@media (max-width: 479px) {
		font-size: 12px;
	}

	&:hover {
		background: #e77341;
	}
}

/*------------------------------------------------------
-----------Blocks-----------
------------------------------------------------------*/

.logo {
	display: flex;
	width: rem(140);
	min-width: rem(140);
	justify-content: space-between;
	align-items: center;
	gap: rem(12);
	transition: all 0.5s ease;

	&__text {
		color: rgba(255, 255, 255, 0.9);
		font-weight: 600;
		font-size: rem(22);
	}
}

.logo:hover {
	opacity: 0.85;
}

.form {
	position: relative;
	z-index: 20;
	height: rem(64);
	background: #283036;
	border-radius: 15px;
	display: flex;
	align-items: center;
	@include adaptiveValue('padding-left', 15, 8);

	&__input {
		position: relative;
		background: none;
		color: rgba(255, 255, 255, 0.55);
		outline: none;
		flex: 1 1 auto;
		@include adaptiveValue('margin-right', 15, 5);
		@include adaptiveValue('margin-left', 15, 5);
		@include adaptiveValue('font-size', 14, 10);
		transition: all 0.5s ease;
		border-bottom: rem(1.5) solid #283036;
	}

	&__input:hover {
		border-color: #1E252B;
	}

	&__input:focus {
		border-color: #FF6E30;
	}

	&__input:hover:focus {
		border-color: #e77341;
	}

	&__button {
		@include adaptiveValue('width', 138, 100);
		height: rem(48);
		margin: 0 10px 0 auto;
	}
}

.header-block {
	position: relative;
	z-index: 20;

	&__title {
		color: #E8E9EA;
		@include adaptiveValue('font-size', 48, 30);
		line-height: 140%;
		margin-bottom: rem(25);
		color: rgba(255, 255, 255, 0.9);
	}

	&__text {
		@include adaptiveValue('font-size', 18, 14);
		font-weight: 400;
		line-height: 167%;
		max-width: rem(427);
		color: rgba(255, 255, 255, 0.55);
	}

	&__text--orange {
		color: #FF6E30;
	}
}

.header-block--center {
	text-align: center;

	.header-block__text {
		margin-left: auto;
		margin-right: auto;
	}
}

.card {
	@include adaptiveValue('padding', 33, 16);
	display: flex;
	flex-direction: column;
	@include adaptiveValue('gap', 30, 15);
	transition: all 1s ease;
	border-radius: 15px;
	position: relative;
	height: fit-content;

	&__name-block {
		width: 100%;
		position: relative;
		@include adaptiveValue('padding-left', 94, 70);


	}

	&__icon {
		position: absolute !important;
		@include adaptiveValue('width', 64, 48);
		width: rem(64);
		height: 100%;
		top: 0;
		left: 0;
	}

	&__icon img {
		width: 100%;
	}

	&__name {
		color: rgba(255, 255, 255, 0.78);
		@include adaptiveValue('font-size', 21, 17);
		@include adaptiveValue('line-height', 36, 20);
	}

	&__status {
		color: rgba(255, 165, 55, 0.55);
		@include adaptiveValue('font-size', 18, 14);
		line-height: rem(27);
	}

	&__description {
		line-height: 188%;
		color: rgba(255, 255, 255, 0.55);
		@include adaptiveValue('font-size', 14, 12);
	}

	&__block-buttons {
		position: relative;
		@include adaptiveValue('height', 42, 32);
	}

	&__button-like,
	&__button-download {
		@include adaptiveValue('width', 42, 32);
		@include adaptiveValue('height', 42, 32);
		position: absolute !important;
		background-color: rgba(255, 255, 255, 0.2);
		mask-image: url("@img/icons/like.svg");
		mask-repeat: no-repeat;
		cursor: pointer;
		transition: all 0.5s ease;
		display: flex;
		mask-position: center;
	}

	&__button-download {
		@include adaptiveValue('left', 57, 40);
		mask-image: url("@img/icons/download.svg");
	}

	&__button-like:hover {
		background-color: rgba(247, 117, 117, 0.4);
	}

	&__button-download:hover {
		background-color: rgba(117, 134, 247, 0.4);
	}

	&__link {
		display: inline-block;
		display: flex;
		align-items: center;
		justify-content: center;
		@include adaptiveValue('width', 106, 90);
		height: 100%;
		position: absolute !important;
		top: 0;
		right: 0;
	}

	&:not(:hover) &__link {
		background: #2F363B;
	}
}

.card:hover {
	transform: translateY(rem(-20));
	background-image: linear-gradient(105deg, rgba(255, 255, 255, 0.08) 0%, rgba(255, 255, 255, 0) 31.01%, rgba(255, 255, 255, 0.05) 47.32%, rgba(255, 255, 255, 0) 100%);
	overflow: hidden;
	position: relative;
	z-index: 5;

	&::before {
		content: '';
		display: block;
		position: absolute;
		width: rem(100);
		height: rem(100);
		right: 0;
		top: 0;
		z-index: 15;
		background: rgba(255, 72, 66, 0.4);
		filter: blur(rem(100));
		transform: translate(50%, -50%);
	}

	&::after {
		content: '';
		display: block;
		position: absolute;
		border-radius: 15px;
		width: calc(100% - 2px);
		height: calc(100% - 2px);
		left: 1px;
		top: 1px;
		z-index: 10;
		background: #242C32;
		;
	}

	& * {
		position: relative;
		z-index: 20;
	}

	&__name {
		color: rgba(255, 255, 255, 0.9);
	}

	&__status {
		color: rgba(255, 165, 55, 1);
	}

	&__description {
		color: rgba(255, 255, 255, 0.78);
	}

	&__button-like,
	&__button-download {
		background-color: rgba(255, 255, 255, 0.4);
	}
}

.block-buttons-less-more {
	display: flex;
	justify-content: center;
	@include adaptiveValue('gap', 30, 15);

	&__button {
		@include adaptiveValue('width', 200, 150);
		@include adaptiveValue('height', 64, 48);
		background: #1E252B;
		border: rem(1) solid rgba(255, 255, 255, 0.1);
		border-radius: rem(8);
		@include adaptiveValue('font-size', 20, 16);
		line-height: rem(30);
		color: #FF6E30;
		cursor: pointer;
		transition: all 0.5s ease;

	}

	&__button:hover {
		border: rem(1) solid rgba(255, 255, 255, 0.2);
		color: #e77341;
	}
}

.swiper {}

.swiper-wrapper {}

.swiper-slide {}

.swiper-pagination {}

.swiper-button-prev {}

.swiper-button-next {}

/*------------------------------------------------------
-----------Header-----------
------------------------------------------------------*/

.header {
	width: 100%;
	padding: rem(26) 0;
	min-height: rem(48);
	background-color: #1E252B;
	position: sticky;
	z-index: 50;
	top: 0;
	box-sizing: content-box;

	&__container {
		display: flex;
		align-items: center;
	}

	&__logo {}

	&__menu {
		height: 100%;
		width: 100%;
		display: flex;
	}

	&__list {
		width: 100%;
		max-width: rem(431);
		padding: 0 rem(30);
		gap: rem(10);
		box-sizing: content-box;
		margin: 0 auto;
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-wrap: wrap;
	}

	&__item {
		line-height: 24px;
	}

	&__item::after {
		content: '';
		display: block;
		height: rem(1.5);
		width: 0%;
		transform: translateY(3px);
		background: #FF6E30;
		transition: all 0.5s ease;
	}

	&__item:hover::after {
		width: 100%;
	}

	&__item--active &__link {
		color: #e77341;
	}

	&__link {
		color: rgba(255, 255, 255, 0.55);
	}

	&__select {
		background: none;
		color: inherit;
		font-weight: inherit;
		font-family: inherit;
		font-size: inherit;
		cursor: pointer;
		background-color: #1E252B;
		color: rgba(255, 255, 255, 0.55);
	}

	&__select-option {}

	&__block-buttons {
		height: rem(48);
		display: flex;
		gap: rem(10);
	}

	&__button {
		height: 100%;
		width: rem(118);
		cursor: pointer;
		transition: all 0.5s ease;
	}

	&__button:first-child {
		background: none;
		border-radius: 8px;
		font-weight: 600;
		color: #FDF5FF;

		&:hover {
			background-color: #23272B;
		}
	}

	&__button-toggle {
		z-index: 100;
		display: flex;
		flex-direction: column;
		align-items: flex-end;
		position: fixed;
		top: rem(26);
		transform: translateY(50%);
		right: rem(25);
		height: rem(20);
		width: rem(20);
		cursor: pointer;

		@media (min-width: 767px) {
			display: none;
		}

		&:hover>span {
			background-color: #e77341;
		}

		span {
			height: rem(3);
			width: rem(20);
			background-color: #FF6E30;
			transition: all 0.3s ease-in;

			&:not(:last-child) {
				margin-bottom: rem(5);
			}
		}

		&:hover>span:nth-child(2) {
			width: rem(15);
		}

		&.header__button-toggle--active {
			&:hover>span:nth-child(1) {
				width: rem(25);
			}

			span {
				width: rem(30);

				&:nth-child(1) {
					margin-top: rem(8);
					transform: rotate(45deg);
				}

				&:nth-child(2) {
					display: none;
				}

				&:nth-child(3) {
					margin-top: rem(-8);
					transform: rotate(-45deg);
				}
			}
		}
	}

	@media (max-width: 767px) {


		&__list {
			gap: 10%;
			flex-direction: column;
			transition: all 1s ease;
			justify-content: center;
			padding: 0;
		}

		@media (min-width: 479px) {

			&__menu {
				justify-content: center;
				padding-right: rem(30);
			}

			&__list {
				z-index: 50;
				background-color: #0F1215;
				position: fixed;
				height: 100vh;
				gap: 10%;
				width: 80vw;
				max-width: 100vw;
				flex-direction: column;
				transition: all 1s ease;
				justify-content: center;
				right: -100%;
				top: 0%;
			}

			&__menu--show &__list {
				right: 0%;
			}
		}

		&__item {
			font-size: rem(26);
		}

		&__select {
			background-color: #0F1215;

		}

	}

	@media (max-width: 479px) {
		&__menu {
			z-index: 50;
			background-color: #0F1215;
			position: fixed;
			height: 100vh;
			width: 100vw;
			max-width: 100vw;
			align-items: center;
			justify-content: center;
			gap: 10%;
			flex-direction: column;
			transition: all 1s ease;
			right: -100%;
			top: 0%;
		}

		&__menu--show {
			right: 0%;
		}

		&__list {
			height: 50%;
		}

		&__item {
			font-size: rem(22);
		}

		&__block-buttons {
			width: 100%;
			align-items: center;
			flex-direction: column;
			height: auto;
			box-sizing: content-box;
		}

		&__button {
			width: 80%;
			height: rem(50);
			font-size: rem(18);
		}

		&__button-toggle {}
	}
}

/*------------------------------------------------------
-----------Page-----------
------------------------------------------------------*/

.page {
	display: flex;
	flex-direction: column;
	@include adaptiveValue('gap', 200, 100);
	margin-bottom: rem(100);

	&__main-block {
		@include adaptiveValue('margin-top', 78, 40);
	}

	&__mp-tools {}

	&__brands {}

	&__newcomer-tools {}

	&__team {}

	&__contributor {}
}

/*------------------------------------------------------
-----------Main Block-----------
------------------------------------------------------*/

.main-block {

	&__container {
		position: relative;
	}

	&__body {
		position: relative;
		z-index: 5;
		max-width: rem(600);
		padding-bottom: rem(20);
	}

	&__header-block {
		margin-bottom: rem(60);
	}

	&__search-form {
		max-width: rem(498);
		@include adaptiveValue('margin-bottom', 110, 60);
	}

	&__search-form .form__input {
		min-width: rem(187px);
	}

	&__social-nets {}

	&__list {
		display: flex;
		gap: rem(30);
	}

	&__item {
		transition: opacity 0.5s ease;
	}

	&__item:hover {
		opacity: 0.8;
	}

	&__social-net-link {}

	&__image {
		@include adaptiveValue('width', 590, 450);
		z-index: 0;
		position: absolute;
		bottom: 0;
		right: rem(-100);
	}

	&__image img {
		width: 100%;
	}
}

/*------------------------------------------------------
-----------Most Popular Tools-----------
------------------------------------------------------*/

.mp-tools {

	&__container {}

	&__header-block {
		@include adaptiveValue('margin-bottom', 90, 40);

	}

	&__body {}

	&__row {
		display: flex;
		flex-wrap: wrap;
		@include adaptiveValue('row-gap', 120, 40);
		column-gap: 5%;
	}

	&__card {
		flex: 0 1 30%;
	}

	&__block-buttons {
		@include adaptiveValue('margin-top', 100, 40);
	}

	@media (max-width: 900px) {
		&__card {
			flex: 0 1 47.5%;
		}
	}

	@media (max-width: 479px) {
		&__card {
			flex: 0 1 100%;
		}
	}
}

/*------------------------------------------------------
-----------Brands-----------
------------------------------------------------------*/

.brands {

	&__container {}

	&__body {
		width: 100%;
		border-radius: 25px;
		position: relative;
		background-image: linear-gradient(105deg, rgba(255, 255, 255, 0.05) 0%, rgba(255, 255, 255, 0) 100%);
		@include adaptiveValue('padding', 55, 25);
		text-align: center;
		overflow: hidden;
	}

	&__body::before {
		content: '';
		display: block;
		position: absolute;
		width: rem(160);
		height: rem(160);
		left: 0;
		top: 0;
		z-index: 5;
		background: rgba(255, 72, 66, 0.4);
		filter: blur(100px);
		transform: translate(-50%, -50%);
	}

	&__body::after {
		content: '';
		display: block;
		position: absolute;
		border-radius: 25px;
		width: calc(100% - 2px);
		height: calc(100% - 2px);
		left: 1px;
		top: 1px;
		background: rgba(44, 53, 61, 0.2);
	}

	&__body * {
		position: relative;
		z-index: 1;
	}

	&__title {
		@include adaptiveValue('font-size', 24, 20);
		line-height: rem(36);
		color: rgba(255, 255, 255, 0.8);
		@include adaptiveValue('margin-bottom', 55, 25);
	}

	&__list {
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
		@include adaptiveValue('gap', 35, 15);
	}

	&__item {
		@include adaptiveValue('height', 50, 25);
	}

	&__item img {
		max-height: 60px;
		height: 100%;
	}

	@media (max-width: 767px) {
		&__list {
			display: grid;
			grid-template-columns: repeat(2, 50%);
		}
	}
}

/*------------------------------------------------------
-----------Newcomer Tools-----------
------------------------------------------------------*/

.newcomer-tools {

	&__container {
		display: flex;
		flex-wrap: wrap;
		gap: 5%;
	}

	&__column:first-child {
		flex: 0 1 40%;
		@include adaptiveValue('margin-bottom', 90, 40);
	}

	&__column:last-child {
		flex: 1 1 55%;
	}

	&__header-block {
		@include adaptiveValue('margin-bottom', 60, 30);
	}

	&__button {
		@include adaptiveValue('width', 200, 160);
		@include adaptiveValue('height', 60, 45);
	}

	&__row {
		width: 100%;
		display: flex;
		flex-wrap: wrap;
		@include adaptiveValue('row-gap', 120, 40);
		column-gap: 5%;
	}

	&__card {
		flex: 0 1 47.5%;
	}

	&__block-buttons {
		@include adaptiveValue('margin-top', 100, 40);
	}

	@media (min-width: 479px) {
		&__block-buttons {
			display: none;
		}
	}

	@media (max-width: 1000px) {
		&__column {
			flex: 0 1 100% !important;
		}

		&__column:first-child {
			text-align: center;
		}

		&__column:first-child .header-block .header-block__text {
			margin-left: auto;
			margin-right: auto;
		}
	}

	@media (max-width: 479px) {
		&__card {
			flex: 0 1 100%;
		}
	}
}

/*------------------------------------------------------
-----------Team-----------
------------------------------------------------------*/

.team {

	&__container {}

	&__slider {}

	&__slider-wrapper {
		padding-bottom: rem(50);
	}

	&__slider-slide {}

	&__slide-body {
		margin: 0 auto;
		@include adaptiveValue('width', 70, 90, 0, '%');
		@include adaptiveValue('height', 450, 300);
		position: relative;
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	&__block-photo {
		position: relative;
		@include adaptiveValue('width', 400, 250);
		min-height: rem(300);
		height: 100%;
	}

	&__block-photo::before {
		content: '';
		position: absolute;
		@include adaptiveValue('width', 45, 30);
		@include adaptiveValue('height', 45, 30);
		top: 25%;
		left: 10%;
		background: #B345F1;
		filter: blur(rem(50));
	}

	&__block-photo::after {
		content: '';
		position: absolute;
		@include adaptiveValue('width', 45, 30);
		@include adaptiveValue('height', 45, 30);
		right: 15%;
		bottom: 25%;
		background: rgba(255, 110, 48, 0.7);
		filter: blur(rem(80));
	}

	&__background-circle,
	&__background-circle::before,
	&__background-circle::after {
		z-index: 5;
		content: '';
		position: absolute;
		top: 50%;
		left: 50%;
		backdrop-filter: blur(rem(50));
		border-radius: 50%;
		transform: translate(-50%, -50%);
	}

	&__background-circle,
	&__background-circle::before {
		border: rem(1) solid rgba(255, 255, 255, 0.03);
	}

	&__background-circle {
		@include adaptiveValue('width', 300, 150);
		@include adaptiveValue('height', 300, 150);
		background: rgba(40, 48, 54, 0.4);
	}

	&__background-circle::before {
		width: 125%;
		height: 125%;
		background: rgba(40, 48, 54, 0.3);
	}

	&__background-circle::after {
		width: 75%;
		height: 75%;
		background: #283036;
	}

	&__tab {
		z-index: 20;
		position: absolute;
		padding: rem(10) rem(20);
		background: #212a32e3;
		backdrop-filter: blur(rem(50));
		border-radius: rem(8);
		right: 0;
		bottom: 10%;
		overflow: hidden;
	}

	&__tab::before {
		content: '';
		position: absolute;
		@include adaptiveValue('width', 25, 15);
		@include adaptiveValue('height', 25, 15);
		right: 0;
		bottom: 0;
		background: #007ACC;
		filter: blur(rem(20));
	}

	&__name {
		@include adaptiveValue('font-size', 26, 20);
		@include adaptiveValue('line-height', 40, 25);
		letter-spacing: 0.015rem;
		color: rgba(255, 253, 253, 0.78);
	}

	&__profession {
		@include adaptiveValue('font-size', 16, 12);
		@include adaptiveValue('line-height', 25, 15);
		color: rgba(255, 253, 253, 0.55);
	}

	&__image {
		position: absolute;
		z-index: 10;
		top: 50%;
		left: 50%;
		height: 100%;
		transform: translate(-50%, -50%);
	}

	&__image img {
		height: 100%;
	}

	&__block-text {
		position: relative;
		@include adaptiveValue('width', 400, 250);
		right: 5%;
	}

	&__block-text::after {
		content: '“';
		position: absolute;
		top: 0;
		font-family: 'Lora';
		@include adaptiveValue('font-size', 250, 125);
		background: linear-gradient(188.88deg, rgba(252, 252, 252, 0) 20.34%, rgba(255, 255, 255, 0.5) 155.72%);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
		background-clip: text;
		transform: rotate(19.17deg) translate(-90%, -20%);
	}

	&__text {
		font-family: 'Roboto';
		font-weight: 400;
		@include adaptiveValue('font-size', 14, 10);
		@include adaptiveValue('line-height', 30, 20);
		letter-spacing: 0.015rem;
		color: rgba(255, 255, 255, 0.78);
	}

	@media (max-width: 767px) {
		&__slider {
			height: rem(600) !important;
		}

		&__slide-body {
			flex-direction: column;
			row-gap: rem(50);
		}

		&__image {
			left: 50%;
		}

		&__block-photo {
			left: 0;

		}

		&__block-text {
			right: -3%;
		}
	}

	.swiper-pagination {
		display: flex;
		justify-content: center;
		column-gap: rem(10);
	}

	.swiper-pagination-bullet {
		@include adaptiveValue('width', 30, 20);
		height: rem(6s);
		border-radius: rem(4);
		background-color: #364149;
		transition: all 0.5s ease;

		&:hover {
			background-color: #e77341;
		}

		&-active {
			background-color: #FF6E30;
		}
	}

	.swiper-button-prev::after,
	.swiper-button-next::after {
		display: none;
	}

	.swiper-button-prev,
	.swiper-button-next {
		background-color: #FF6E30;
		mask-image: url("@img/icons/arrow.svg");
		mask-repeat: no-repeat;
		transform: background-color 0.5s ease;

		&:hover {
			background-color: #e77341;
		}
	}

	.swiper-button-prev {
		transform: rotate(180deg) translateY(40%);
	}

	.swiper-button-next {
		// transform: translateY(-50%);
	}

	.swiper-button-disabled {
		background-color: rgba(255, 255, 255, 0.28);
	}
}

/*------------------------------------------------------
-----------Contributor-----------
------------------------------------------------------*/

.contributor {

	&__container {}

	&__header-block {
		@include adaptiveValue('margin-bottom', 100, 50);
	}

	&__form {
		margin: 0 auto;
		max-width: rem(549);
	}
}

/*------------------------------------------------------
-----------Footer-----------
------------------------------------------------------*/

.footer {
	border-top: 0.5px solid rgba(255, 255, 255, 0.15);
	padding: 70px 5%;

	&__container {
		display: flex;
		justify-content: center;
	}

	&__row {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		@include adaptiveValue('gap', 115, 30);

	}

	&__block {}

	&__block--main {
		@include adaptiveValue('max-width', 260, 200);
	}

	&__logo {
		margin-bottom: rem(25);
	}

	&__copyright {
		margin-bottom: rem(20);
		line-height: rem(24);
		color: rgba(255, 255, 255, 0.9);
	}

	&__text {
		color: rgba(255, 255, 255, 0.5);
		font-weight: 400;
		@include adaptiveValue('font-size', 14, 10);

		line-height: 179%;
	}

	&__title {
		margin-bottom: rem(20);
		color: rgba(255, 255, 255, 0.9)
	}

	&__list {}

	&__item {
		cursor: pointer;
		transition: all 0.5s ease;
		margin-bottom: rem(10);
		@include adaptiveValue('font-size', 16, 12);
	}

	&__item:hover {
		opacity: 0.8;
	}

	&__item:last-child {
		margin-bottom: 0;
	}

	&__link {
		color: rgba(255, 255, 255, 0.55);
	}

	@media (max-width: 767px) {
		&__row {
			display: grid;
			grid-template-columns: repeat(2, 50%);
		}
	}

	@media (max-width: 479px) {
		&__row {
			grid-template-columns: repeat(1, 100%);
			gap: 50px;
		}
	}
}